package mikan.ehime.web.login.auth;

import mikan.ehime.bean.UserOperator;
import mikan.ehime.credential.User;
import mikanframework.yakimikan.YakimikanSession;

public class LoginAuthService {
	
	public User authorize(LoginAuthParameters parameters, UserOperator operator) {
		User user = operator.login(parameters.getName(), parameters.getPassword());
		return user;
		
	}
	
	public void bindToSession(User user, YakimikanSession session) throws Exception {
		if (user != null) {
			session.setCredentialAttribute("user", user);
		}
	}
}
