package mikan.ehime.web.login.auth;

import java.util.List;
import java.util.Map;

import mikan.ehime.credential.User;

public class LoginAuthView {

	public Map<?,?> doGet(User user, Map<Object,Object> map) {
		map.put("successToLogin", (user != null));
		if (user != null) {
			map.put("name", user.getName());
		}
		return map;
	}

	public Map<?,?> sendBack(Map<Object,Object> map) {
		map.put("fail", true);
		return map;
	}

	public Map<?,?> violate(List<String> violation, Map<Object,Object> map) {
		if (violation != null) {
			map.put("error", violation);
			if (violation.contains("loginLength:password")) {
				map.put("errorPassword", "パスワードのフォーマット不正");
			}
			if (violation.contains("loginLength:name")) {
				map.put("errorName", "ユーザ名のフォーマット不正");
			}
		}		
		return map;
	}
}
